@import url("https://fonts.googleapis.com/css2?family=Fira+Sans:wght@300;400;600&display=swap");
:root {
  --padding: 80px;
  --padding1: 10px;
}

::-webkit-scrollbar {
  width: 5px;
}

::-webkit-scrollbar-track {
  background: #ddd;
}

::-webkit-scrollbar-thumb {
  background: #888;
}

::-webkit-scrollbar-thumb:hover {
  background: #555;
}

/* For Firefox */
* {
  scrollbar-width: thin;
  scrollbar-color: #888 #ddd;
}

*::-webkit-scrollbar-thumb:hover {
  background: #555;
}

@media (min-width: 1200px) {
  .d-flex {
    display: flex;
  }
}

@media (min-width: 700px) {
  .delight__widget-outterCase {
    width: 60%;
    margin-left: auto;
    margin-right: 50px;
    margin-bottom: 50px;
  }
}

@media (max-width: 699px) {
  .delight__widget-outterCase {
    width: 100%;
    margin-left: auto;
    margin-top: 50px;
    margin-right: auto;
    margin-bottom: 50px;
  }
}

.delight__widget-container {
  padding: 30px;
  min-width: 400px;
  max-width: 400px;
  width: 400px;
}
.is-empty .delight__widget-container {
  display: none;
}
.delight__widget-headline {
  margin-bottom: 0;
  margin-top: 0;
  font-weight: 700;
  font-size: 17px;
  width: 80%;
}
.delight__widget-head {
  border-top: 1px solid #ddd;
  border-bottom: 1px solid #ddd;
  margin-bottom: 10px;
  padding: 16px;
  display: flex;
  align-items: center;
  margin-top: 10px;
}
.delight__widget-head-content {
  width: 93%;
  overflow: hidden;
}
.delight__widget-title {
  font-size: 18px;
  font-weight: 700;
  white-space: nowrap;
  display: flex;
  align-items: center;
}
.delight__widget-title svg {
  margin-right: 10px;
}
.delight__widget-description {
  font-size: 15px;
  color: black;
  padding-left: 30px;
  margin-top: 4px;
  word-break: break-all;
}

.delight__widget-content-btn svg {
  transition: all 0.2s;
  transform: rotate(0deg);
}

.delight__widget-content-btn.collapsed svg {
  transform: rotate(180deg);
}

.delight__widget-qualified-message {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  font-weight: 700;
}
.delight__widget-qualified-message svg {
  margin-left: 4px;
  margin-right: 4px;
}
.delight__widget-main-items {
  padding-inline-start: 0;
  transition: height 0.2s;
  margin: 0;
  overflow: hidden;
}
.delight__widget-item-list {
  display: flex;
  margin-top: 30px;
  padding-top: 30px;
  border-top: 1px solid rgba(51,51,51,.1);
}
.delight__widget-item {
  display: flex;
  align-items: center;
  margin: 0px 5px 12px;
  border-radius: 8px;
  padding: 5px;
}
.delight__widget-item:hover {
  transform: scale(1.01);
}
.delight__cart-item-image {
  width: 100px !important;
  height: 150px !important;
  object-fit: cover;
}
.delight__widget-item-image {
  width: 65px !important;
  height: 65px !important;
  border-radius: 6px;
}
.delight__cart-item-content {
  width: 100%;
  padding-left: 30px;
  padding-right: 12px;
}
.delight__widget-item-content {
  width: 100%;
  padding-left: 12px;
}
.delight__widget-item-desc {
  display: flex;
  justify-content: start;
  align-items: center;
  flex-grow: 1;
  cursor: pointer;
}
.delight__widget-item-desc-li {
  display: flex;
  justify-content: start;
  flex-grow: 1;
}
.delight__widget-actions {
  display: flex;
  margin-left: auto !important;
}
.delight__widget-added-actions {
  display: flex;
  margin-left: auto !important;
  cursor: pointer;
  align-items: center;
  justify-content: center;
  min-width: 120px;
}
.delight__widget-added-actions-thankyou {
  display: flex;
  margin-left: auto !important;
  cursor: pointer;
  align-items: center;
  justify-content: center;
  background-color: #323232;
  min-width: 120px;
  color: white;
  height: 30px;
}
.delight__widget-added-actions-container {
  display: flex;
  cursor: pointer;
  background-color: #323232;
  color: white;
  align-items: center;
  justify-content: center;
  min-width: 80px;
  height: 30px;
  font-size: 12px;
}
.delight__widget-added-thankyou {
  border: 2px solid;
  border-radius: 4px;
  display: flex;
  margin-left: auto !important;
  cursor: pointer;
  color: #41C303;
  align-items: center;
  justify-content: center;
  min-width: 125px;
  height: 25px;
  padding-right: 3px;
  padding-left: 3px;
}
.cursor-pointer {
  color: white;
  background-color: #323232;
  display: flex;
  align-items: center;
  justify-content: space-evenly;
  width: 80px;
  height: 30px;
  margin-left: 10px;
  cursor: pointer;
}
.delight__widget-actions .product-form__submit.button {
  background: transparent;
  padding: 0;
  min-width: auto;
  min-height: 0;
  cursor: pointer;
  border: none;
}
.delight__widget-actions
.product-form__submit.button[disabled] {
  cursor: not-allowed;
  opacity: 0.5;
}
.delight__widget-actions
.product-form__submit.button:before,
.delight__widget-actions
.product-form__submit.button:after {
  content: none;
}
.loading-overlay__spinner {
  width: 1.8rem;
  display: inline-block;
}
.delight__widget-actions .quick-add__submit.button {
  background: transparent;
  padding: 0;
  border: none;
  min-width: auto;
}
.delight__widget-actions .quick-add__submit.button:before,
.delight__widget-actions .quick-add__submit.button:after {
  content: none;
}

.delight__widget-qualified-small-message {
  font-size: 14px;
}

.delight__widget-qualified-message {
  font-size: 13px;
  color: #333;
}

.hidden {
  display: none;
}

.loading-overlay__spinner .spinner {
  animation: rotator 1.4s linear infinite;
}

.button.loading {
  color: transparent;
  position: relative;
}

.button.loading>.loading-overlay__spinner {
  top: 50%;
  left: 50%;
  transform: translate(-50%,-50%);
  position: absolute;
  height: 100%;
  display: flex;
  align-items: center;
}

.delight__widget-quantity-disabled {
  visibility: hidden;
}

delight-modal-opener button {
  border: none;
  cursor: pointer;
  background-color: transparent;
}

.is-empty #delight_banner_unique_id {
  display: none;
}

#delight_banner_unique_id {
  width: 100% !important;
}

#delight_banner_unique_id .outter {
  width: 100%;
  padding-top: 2rem;
  padding-bottom: 2rem;
}

#delight_banner_unique_id .outter .inner{
  padding: 10px;
  text-align: center;
  background-color: #fad9d9 !important;
  color: #333333 !important;
  display: flex;
  justify-content: center;
  align-items: start;
  font-size: 15px;
  font-weight: 500;
}

#delight_banner_unique_id .outter .inner img{
  padding-right: 10px;
  width: 20px;
  height: 20px;
  padding-top: 1px;
}

#delight_banner_unique_id .inner{
  display: flex;
  align-items: center;
}

.is-empty #delight_banner_mobile {
  display: none;
}
#delight_banner_mobile {
  width: calc(100% + 30px) !important;
  margin-left: -15px;
}
#delight_banner_mobile .outter {
  width: 100%;
  padding-top: 2rem;
}
#delight_banner_mobile .outter .inner{
  padding: 10px;
  text-align: center;
  background-color: #fad9d9 !important;
  color: #333333 !important;
  display: flex;
  justify-content: center;
  align-items: start;
  font-size: 15px;
  font-weight: 500;
}
#delight_banner_mobile .outter .inner img{
  margin-right: 5px;
  width: 20px;
  height: 20px;
}
#delight_banner_mobile .inner{
  display: flex;
  align-items: center;
}
@media (min-width: 768px) {
  #delight_banner_mobile {
    display: none;
  }
}

.is-empty #delight_banner_desktop {
  display: none;
}
@media (max-width: 767px) {
  #delight_banner_desktop {
    display: none;
  }
}
#delight_banner_desktop {
  width: calc(100% + 30px) !important;
  margin-left: -30px;
}
#delight_banner_desktop .outter {
  width: 100%;
  padding-top: 2rem;
}
#delight_banner_desktop .outter .inner{
  padding: 10px 30px;
  text-align: center;
  background-color: #fad9d9 !important;
  color: #333333 !important;
  display: flex;
  justify-content: center;
  align-items: start;
  font-size: 15px;
  font-weight: 500;
}
#delight_banner_desktop .outter .inner img{
  margin-right: 5px;
  width: 20px;
  height: 20px;
}
#delight_banner_desktop .inner{
  display: flex;
  align-items: center;
}
.delight__gift--label___delight-cartpage span{
  font-size: 16px;
  color: #5db95a;
  font-weight: 400;
  letter-spacing: 0.8px;
  line-height: 1.3;
  margin: 0;
  max-width: 100%;
  padding-left: 0;
  text-overflow: ellipsis;
  white-space: nowrap;
}

@media (min-width: 600px) {
  .delight__gift--label___delight{
    display: flex !important;
    align-items: center !important;
    width: max-content !important;
    margin-bottom: 0.3rem !important;
    color: #717171;
    opacity: 0.7;
  }
}

@media (max-width: 599px) {
  .delight__gift--label___delight{
    display: flex !important;
    align-items: center !important;
    margin-bottom: 0.3rem !important;
    color: #777;
    opacity: 0.7;
  }
}

.delight__gift--label___delight img{
  margin-top: 2px;
  width: 18px;
  height: 18px;
}

.delight__gift--label___delight span{
  padding-left: 5px;
  font-weight: 400;
  font-size: 14px;
  text-transform: initial;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

/* for currentbody */
.cart-ajax .cart-ajax__list .cart-ajax__data .grid__item {
  width: 63%;
}

.delight__widget-content-arrow-wrapper {
  margin-left: 2px;
  align-self: flex-start;
}

.visually-hidden{
  display: none !important;
}

delight-cart-widget .delight__widget-qualified-message {
  display: flex;
  align-items: center;
  color: #4eb0f0;
  font-weight: 600;
  margin-top: 10px;
  margin-bottom: 10px;
  margin-left: 10px;
  margin-right: 10px;
  font-size: 15px;
}
delight-cart-widget .delight__widget-description {
  font-size: 15px;
  padding-left: 30px;
  margin-top: 4px;
  word-break: break-all;
  opacity: 0.75;
}
delight-cart-widget .delight__widget-title {
  font-size: 18px;
  font-weight: 700;
  white-space: nowrap;
  display: flex;
  align-items: center;
}

.delight__widget-container {
  width: 100%;
  padding: 20px 0px;
  display: flex;
  order: 1;
  float: left;
  margin-bottom: 20px;
  flex-direction: column;
}

@media (min-width: 501px) {
  .redeemGuide-header {
    text-align: center;
    margin-bottom: 5px;
    padding: 0;
    font-weight: 800;
  }
  delight-product-detail-modal .delight__widget-modal--content-details {
    border-radius: 8px;
    padding: 5px;
    margin: 10px 0;
  }
  delight-product-detail-modal .delight__widget-modal--image-wraper {
    width: 100%;
  }
  delight-product-detail-modal .delight__widget-modal--image-wraper .delight__widget-modal--image {
    width: 450px;
    height: 240px;
    object-fit: cover;
    visibility: inherit !important;
  }
  delight-product-detail-modal .delight__widget-close-button {
    position: absolute;
    width: 25px;
    height: 25px;
    right: -10px;
    top: -10px;
    line-height: 20px;
    text-align: center;
    cursor: pointer;
    border-radius: 4px;
    display: flex;
    justify-content: center;
  }
  delight-product-detail-modal .delight__widget-close-button:hover {
    background-color: darkgray;
  }
  delight-product-detail-modal[open] .delight__widget-modal {
    opacity: 1;
    visibility: visible;
    transform: scale(1);
    transition: visibility 0s linear 0s, opacity 0.25s 0s, transform 0.25s;
    z-index: 2147483647;
  }
  delight-product-detail-modal .delight__widget-modal--content-heading {
    text-transform: unset;
    font-size: 22px;
    font-weight: 600;
    letter-spacing: 0;
  }
  delight-product-detail-modal .collapsed .delight__widget-modal--content-terms-wrapper {
    margin-top: 0px;
    height: 0px;
  }
  delight-product-detail-modal .delight__widget-modal--content-terms-wrapper .text-link {
    color: blue;
  }
  delight-product-detail-modal .delight__widget-modal--content-details p {
    font-size: 15px;
  }
  delight-product-detail-modal .delight__widget-modal--content-wrapper {
    flex: 1;
    display: flex;
    justify-content: space-evenly;
    flex-direction: column;
    padding: 8px 20px 0px;
  }
  delight-product-detail-modal .delight__widget-modal--content-toggle-btn img {
    transition: all 0.2s;
    transform: rotate(0deg);
  }
  delight-product-detail-modal .collapsed .delight__widget-modal--content-toggle-btn img {
    transform: rotate(180deg);
  }
  delight-product-detail-modal .delight__widget-modal--content-wrapper .logo_img {
    visibility: visible;
    max-height: 70px;
    min-height: 50px;
  }
  .footer-container {
    position: absolute;
    right: 20px;
    bottom: 0px;
  }
  .logo-container {
    text-align: center;
  }
  .delight__widget-add-button svg {
    width: 17px;
    height: 17px;
  }
  .delight__widget-add-button p {
    line-height: 0;
    font-size: 12px;
  }
}

@media (max-width: 500px) {
  .redeemGuide-header {
    text-align: center;
    margin-bottom: 5px;
    padding: 0;
    font-weight: 800;
  }
  delight-product-detail-modal .delight__widget-modal--content-details {
    border-radius: 8px;
    padding: 5px;
  }
  delight-product-detail-modal .delight__widget-modal--image-wraper {
    position: relative;
    overflow: hidden;
    width: 100%;
    height: 200px;
    padding-top: 0px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    border-radius: 10px 10px 0px 0px;
  }
  delight-product-detail-modal .delight__widget-modal--image-wraper .delight__widget-modal--image {
    position: absolute;
    object-fit: cover;
    display: block;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    min-height: 270px;
    min-width: 100%;
  }
  delight-product-detail-modal .delight__widget-close-button {
    position: absolute;
    width: 25px;
    height: 25px;
    right: -10px;
    top: -10px;
    line-height: 20px;
    text-align: center;
    cursor: pointer;
    border-radius: 4px;
    display: flex;
    justify-content: center;
  }
  delight-product-detail-modal .delight__widget-close-button:hover {
    background-color: darkgray;
  }
  delight-product-detail-modal[open] .delight__widget-modal {
    opacity: 1;
    visibility: visible;
    transform: scale(1);
    transition: visibility 0s linear 0s, opacity 0.25s 0s, transform 0.25s;
    z-index: 2147483647;
  }
  delight-product-detail-modal .delight__widget-modal--content-heading {
    text-transform: unset;
    font-size: 22px;
    font-weight: 600;
    letter-spacing: 0;
  }
  delight-product-detail-modal .collapsed .delight__widget-modal--content-terms-wrapper {
    margin-top: 0px;
    height: 0px;
  }
  delight-product-detail-modal .delight__widget-modal--content-terms-wrapper .text-link {
    color: blue;
  }
  delight-product-detail-modal .delight__widget-modal--content-details p {
    font-size: 15px;
  }
  delight-product-detail-modal .delight__widget-modal--content-wrapper {
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
    margin-bottom: 15px;
    padding: 8px 10px;
  }
  delight-product-detail-modal .delight__widget-modal--content-toggle-btn img {
    transition: all 0.2s;
    transform: rotate(0deg);
  }
  delight-product-detail-modal .collapsed .delight__widget-modal--content-toggle-btn img {
    transform: rotate(180deg);
  }
  delight-product-detail-modal .delight__widget-modal--content-wrapper .logo_img {
    visibility: visible;
    max-height: 40px;
    min-height: 40px;
    max-width: 350px;
  }
  .footer-container {
    position: absolute;
    right: 10px;
    bottom: 5px;
  }
  .logo-container {
    text-align: center;
    /* display: none; */
  }
  .delight__widget-add-button svg {
    width: 15px;
    height: 15px;
  }
  .delight__widget-add-button p {
    line-height: 0;
    font-size: 12px;
  }
}

@media (min-width: 768px) {
  .cart-item__name.h4 {
    font-size: 18px !important;
    line-height: 22px !important;
  }
  .cart-item__name {
    font-size: 16px !important;
    line-height: 22px !important;
  }
}

.cart-item__name.h4 {
  font-size: 14px;
  font-weight: 700;
  letter-spacing: .3px;
  line-height: 20px;
  text-transform: uppercase;
  color: #515151;
}
.cart-item__name {
  font-size: 14px;
  font-weight: 700;
  letter-spacing: .3px;
  line-height: 20px;
  text-transform: uppercase;
  color: #515151;
}

/*
  Thank you page widget css
*/
.delight__widget-item-list-thankyou {
  display: flex;
  margin-top: 10px;
  align-items: center;
}
@media (max-width: 767px) {
  .delight__widget-item-list-thankyou {
    padding-right: 10px;
    padding-left: 10px;
  }
}
.delight__cart-item-image-thankyou {
  width: 70px !important;
  height: 70px !important;
  object-fit: cover;
}

@media (min-width: 768px) {
  .cart-item__name-thankyou.h4 {
    font-size: 16px !important;
    line-height: 22px !important;
  }
  .cart-item__name-thankyou {
    font-size: 14px !important;
    line-height: 22px !important;
  }
}
.cart-item__name-thankyou.h4 {
  font-size: 14px;
  font-weight: 700;
  letter-spacing: .3px;
  line-height: 20px;
  text-transform: uppercase;
  color: #515151;
}
.cart-item__name-thankyou {
  font-size: 14px;
  font-weight: 700;
  letter-spacing: .3px;
  line-height: 20px;
  text-transform: uppercase;
  color: #515151;
}
.cart-item__name-thankyou img {
  width: 30px;
}
@media (max-width: 767px) {
  .cart-item__name-thankyou img {
    width: 25px;
  }
}
.delight__cart-item-content-thankyou {
  width: 100%;
  padding-left: 15px;
  padding-right: 5px;
}